- [HTTP request](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardians/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardians/delete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardians/delete#body.request_body)
- [Response body](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardians/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardians/delete#body.aspect)
- [Try it!](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardians/delete#try-it)

Deletes a guardian.

The guardian will no longer receive guardian notifications and the guardian will no longer be accessible via the API.

This method returns the following error codes:

- `PERMISSION_DENIED` if no user that matches the provided `studentId` is visible to the requesting user, if the requesting user is not permitted to manage guardians for the student identified by the `studentId`, if guardians are not enabled for the domain in question, or for other [access errors](https://developers.google.com/workspace/classroom/reference/Access.Errors).
- `INVALID_ARGUMENT` if a `studentId` is specified, but its format cannot be recognized (it is not an email address, nor a `studentId` from the API).
- `NOT_FOUND` if the requesting user is permitted to modify guardians for the requested `studentId`, but no `Guardian` record exists for that student with the provided `guardianId`.

### HTTP request

`DELETE https://classroom.googleapis.com/v1/userProfiles/{studentId}/guardians/{guardianId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `studentId` | `string` The student whose guardian is to be deleted. One of the following: - the numeric identifier for the user - the email address of the user - the string literal `"me"`, indicating the requesting user |
| `guardianId` | `string` The `id` field from a `Guardian`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/classroom.guardianlinks.students`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).